Security Notice

Home» News»
Microsoft Internet Explorer Vulnerability
IE Vulnerability

May 1, 2014 - Update

On Thursday, May 1, Microsoft released out-of-band updates to address the vulnerability in Internet Explorer (IE) versions 6 through 11, including IE versions running on Windows XP.

Most Internet Explorer users have automatic updating enabled and will not need to take any action because this security update will be downloaded and installed automatically. If automatic updating is not enabled, Microsoft recommends that users apply the update immediately using update management software, or by checking for updates using the Microsoft Update service.

April 30, 2014

Microsoft recently announced discovery of a software security vulnerability. This affects any user of its browser Internet Explorer, versions 6 – 11. Microsoft is developing a solution that may be forwarded in a software update to all users of the affected browsers.

For those who are still using Microsoft XP, as of April 8, 2014, support and updates ceased for this operating system, therefore, there will be no fix implemented. We strongly urge you to upgrade to a newer operation system to continue to enjoy the features and services available on CUAnyHour+ home banking.

Until Microsoft has fixed the vulnerability, we recommend the use of a current version of an alternate browser, such as Google Chrome, Firefox or Safari.

Routing Number: 254075250
Identity Theft Protection